#
# spec file for package python-dpkt
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-dpkt
Version:        1.9.2
Release:        bp153.1.16
Summary:        Packet creation and parsing module for Python
License:        BSD-3-Clause
Group:          Development/Libraries/Python
URL:            https://github.com/kbandla/dpkt
Source:         https://github.com/kbandla/dpkt/archive/v%{version}.tar.gz
BuildRequires:  %{python_module mock}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
A packet creation / parsing module for Python, with definitions for
the basic TCP/IP protocols.

%prep
%setup -q -n dpkt-%{version}
# do not add extra pytest argumetns
sed -i -e '/addopts=/d' setup.cfg

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%python_expand PYTHONPATH=%{buildroot}%{$python_sitelib} py.test-%{$python_bin_suffix} -v dpkt

%files %{python_files}
%license LICENSE
%doc examples AUTHORS CHANGES README.rst
%{python_sitelib}/*

%changelog
* Mon Mar 18 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in descriptions.
* Mon Mar  4 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 1.9.2:
  * Tiny fixes for 3.7 python
- Enable tests
- Add proper dependencies
* Wed Jan  3 2018 tchvatal@suse.com
- Update to version 1.9.1:
  * Allow building with python3
- Remove epydoc dependency so we can remove py2 only package
* Mon Aug 26 2013 Greg.Freemyer@gmail.com
- Update to version 1.8:
  * fix a typo in vrrp.py
  * fix IPv4 and IPv6 packet to correctly handle zero payload length
  * store cipher_suite as int in TLSServerHello to allow app-specific messages
  * improve SSL parsing
- Specfile changes
  * Update license field to BSD-3-clause
  * Update URL
  * remove make doc.  Doc is no longer provided other than the source code.
  * wrap site macros with a if for older versions of opensuse only
* Wed Jun  1 2011 saschpe@suse.de
- Update to version 1.7:
  * handle dynamic imports from py2exe/freeze.py/zipped egg
    packages, from plotnikoff
  * decode Ethernet MPLS labels, Cisco ISL VLAN tags, 802.2 LLC fields
  * handle multiply-defined HTTP headers from simdream
  * add IPv6 extension header support (minus ESP) from Owen Stephens
  * add radiotap module from Timur Alperovich
  * add IEEE80211 module from Jon Oberheide
  * add RFB module from Jon Oberheide
  * fix IP6 checksum to include options
  * rename 'as' to 'asn' field in BGP header
  * fix transport-layer checksum in IP6
  * handle improper TCP header offset
  * fix SSL typo
  * handle malformed ICMP headers
  * added RX module from Jon Oberheide
  * fixed loopback module IP/IP6 decoding
  * set transport-layer (TCP, UDP) checksum in IP
  * MRT module fixes
  * fix pcap.Writer timestamp calculation
- Spec file cleanup:
  * Added changes file and removed stuff from %%changelog section
  * Added license header
  * Removed authors from description
  * Don't cleanup buildroot in %%install section
  * Made it a noarch package
* Sun Jan 28 2007 judas_iscariote@shorewall.net
- Update to version 1.6
* Wed Sep  6 2006 jfunk@funktronics.ca
- Initial release
